package de.tu_dresden.diplom.richter_mirko_mat2628335.common.result;

/**
 * 
 */
public interface IFBaseResult {

   public static final int UNKNOWN = -1;
   public static final int SUCCESS = 0;
   public static final int FAILURE = 1;

   public static final int CUSTOM_START = 10;

   public boolean isSuccess();
   public boolean isFailure();
   public boolean isUnknown();

   public int getResultCode();
   public String getResultMessage();
}
